<?php

include_once 'config.inc.php';
require_once 'helper.php';

class DateFormat {
/*	private $tz;
	
	function __construct($tz = '') {
		if (empty($tz)) {
			$tz = ($_SESSION['user_settings']->getTimeZone() !== NULL) ?
            $_SESSION['user_settings']->getTimeZone() : TIMEZONE;
		}
		$timezone = date_default_timezone_get();
		$tz_server = date("Z")/3600;
		date_default_timezone_set($tz);
		$tz_client = date("Z")/3600;
		date_default_timezone_set($timezone);
		$this->tz = $tz_client - $tz_server;
		print "$timezone:$tz_server:$tz_client<br/>";
	}*/
	
	public function client2UTC($datetime) {
		if (strcasecmp(substr($datetime, -1), "Z") === 0) {
			// Time is in UTC already
			return $datetime;
		}
		
    	$timestamp = strtotime($datetime);
    	
    	return gmdate("Ymd\THis\Z", $timestamp);
    }
    
    public function UTC2Client($datetime) {
		//print "UTC2Client: $datetime\n";
		if (strcasecmp(substr($datetime, -1), "Z") !== 0) {
			// Time is not in UTC
			return $datetime;
		}
		
    	$timestamp = strtotime($datetime);
    	
    	return date("Ymd\THis", $timestamp);
	}

    public function UTC2Local($datetime) {
		if (strcasecmp(substr($datetime, -1), "Z") !== 0) {
			// Time is not in UTC
			return $datetime;
		}

		$offset = $_SESSION['timezone_offset'] - date("Z");
    	$timestamp = strtotime($datetime) + $offset;
    	
    	return date("Ymd\THis", $timestamp);
	}

}